using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.EF.Map;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;

namespace APT.BaseData.Data.Mapping.FM
{
	public partial class FMEnumMap : APTEntityBaseMap<T_FM_ENUM>
    {
		public override void Configure(EntityTypeBuilder<T_FM_ENUM> builder)
		{
			base.Configure(builder);

			builder.HasOne(t => t.Nav_EnumType).WithMany().HasForeignKey(t => t.ENUM_TYPE_ID).OnDelete(DeleteBehavior.Restrict);
		}
	}
}
